На главную... Продукты | Технологии | Классификаторы | Проекты | Скачать | Цены| Форум | Статьи | Обучение | Контакты

GIS Constructor Free 12.5.2 сертификат МО не работает на Astra Linux 1.3 и 1.6, но работает на 1.5

Поиск  Пользователи  Правила  Войти
Форум » Настольные приложения » GIS ToolKit, GIS ToolKit Active
Страницы: 1
RSS
GIS Constructor Free 12.5.2 сертификат МО не работает на Astra Linux 1.3 и 1.6, но работает на 1.5
 
Добрый день!

Мы используем GIS Constructor Free 12.5.2 сертификат МО.

На Astra Linux SE 1.5 работает.

На Astra Linux SE 1.3 и 1.6 имеем следующее:
Цитата
user@astra: ldd libqdmapacces.so
       linux-vdso.so.1 =>  (0x00007fff449ff000)
       libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fdbc77f0000)
       libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fdbc75d3000)
       libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fdbc73ba000)
       libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fdbc707f000)
       libisc.so.84 => not found
       libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fdbc6d77000)
       libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fdbc6af4000)
       libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fdbc68de000)
       libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fdbc6551000)
       /lib64/ld-linux-x86-64.so.2 (0x00007fdbc8350000)
       libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fdbc6330000)
       libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007fdbc612c000)
       libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fdbc5f27000)
Т.е. libisc.so.84 для этих платформ не существует.

Для этих платформ существует libisc других версий.

Если попытаться "подменить" требуемую на ту что имеется, то получаем
Код
/lib/x86_64-linux-gnu/libisc.so.84: undefined symbol: json_object_new_int64
Это значит, что так просто проблему не решить.

Вопрос: что делать и как быть?

ПС: нам нужна сертифицированная для МО версия
 
Здравствуйте!

Похожий вопрос уже обсуждался на форуме: http://gisweb.ru/forum/forum7/10895-otsustvuet-libisc.84-dlya-astralinux-1.6-_gis-konstruktor
 
Сработало на Astra Linux 1.3/1.6 и Ubuntu 18.04, но на Ubuntu 20.04 - нет.

На Ubuntu 18.04 есть libisc.so.169 и этого хватает, а на Ubuntu 20.04 - libisc.so.1601.
Код
/lib/x86_64-linux-gnu/libisc.so.84: undefined symbol: json_object_new_int64

Может кому-то будет полезно
Код
if [ $(lsb_release -is) = "Ubuntu" ]; then
  ln -sf $(find /usr/lib/x86_64-linux-gnu/ -type f -iname "libisc.so*") /usr/lib/x86_64-linux-gnu/libisc.so.84
fi

if [ $(lsb_release -cs) = "smolensk" ] && [ $(lsb_release -rs) = "1.3" ]; then
  ln -sf /usr/lib/libisc.so.83 /usr/lib/libisc.so.84
fi

if [ $(lsb_release -cs) = "smolensk" ] && [ $(lsb_release -rs) = "1.6" ]; then
  ln -sf /usr/lib/x86_64-linux-gnu/libisc.so.160 /usr/lib/x86_64-linux-gnu/libisc.so.84
fi
 
Это "скоро" пофиксят и должно заработать на Ubuntu 20
Код
/lib/x86_64-linux-gnu/libisc.so.84: undefined symbol: json_object_new_int64

https://bugs.launchpad.net/ubuntu/+source/bind9/+bug/1903052
Страницы: 1
Читают тему (гостей: 1)



© КБ Панорама, 1991-2021

Регистрируясь или авторизуясь на форуме, Вы соглашаетесь с Политикой конфиденциальности